#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Test
%define	pnam	NoWarnings
Summary:	Test::NoWarnings - Make sure you didn't emit any warnings while testing
Summary(pl.UTF-8):	Test::NoWarnings - sprawdzanie braku ostrzeżeń podczas testów
Name:		perl-Test-NoWarnings
Version:	1.06
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e44d8b1820b45a71e59a0119120ca622
URL:		https://metacpan.org/dist/Test-NoWarnings
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.86
BuildRequires:	perl-Test-Tester >= 0.107
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In general, your tests shouldn't produce warnings. This modules causes
any warnings to be captured and stored. It automatically adds an extra
test that will run when your script ends to check that there were no
warnings. If there were any warings, the test will give a "not ok" and
diagnostics of where, when and what the warning was, including a stack
trace of what was going on when the it occurred.

If some of your tests are supposed to produce warnings then you should
be capturing and checking them with Test::Warn, that way
Test::NoWarnings will not see them and so not complain.

%description -l pl.UTF-8
W ogólności testy nie powinny generować ostrzeżeń. Ten moduł powoduje,
że wszystkie ostrzeżenia są przechwytywane i zapisywane. Automatycznie
dodaje dodatkowy test uruchamiany po zakończeniu skryptu, sprawdzający
czy nie było ostrzeżeń. Jeśli wystąpiły jakiekolwiek ostrzeżenia, test
wypisze "not ok" i dane diagnostyczne, w którym miejscu, kiedy i jakie
było ostrzeżenie, wraz ze śladem stosu tego, co działo się w chwili
jego wystąpienia.

Jeśli jakieś testy mają wygenerować ostrzeżenia, należy je wyłapać i
sprawdzić przy użyciu Test::Warn - tak, żeby Test::NoWarnings ich nie
zobaczył.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/NoWarnings.pm
%{perl_vendorlib}/Test/NoWarnings
%{_mandir}/man3/Test::NoWarnings.3pm*
%changelog
* Wed Jun 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-NoWarnings.git;a=log;h=master

* Wed Jun 01 2022 Jakub Bogusz <qboosh@pld-linux.org> fce6c87
- updated to 1.06

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 8127463
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> ce29dc4
- up to 1.04

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> f1997c5
- updated to 1.02

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> c2f3220
- release 2

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> faba79e
- up to 0.084

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3b94b48
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0a44e3f
- converted to UTF-8

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> adcbb29
- pl, generic URL

* Fri Nov 18 2005 migo <migo@pld-linux.org> ecf8a09
- initial revision

